Subject: Re: bug#35624: log-view-diff regression

From: Dmitry Gutov <[email-masked]>
Date: Tue, 21 May 2019 02:29:00 +0300

On 19.05.2019 23:11, Juri Linkov wrote:
>> Yes, I believe a try is worth a thousand words.
> 
> So let's try this.  Pushed to master.

Sorry, I still don't like how it looks. For the main purpose of the log 
buffer, the empty first line is weird (saying "working revision" would 
be just as weird).

I could maybe live with it if were 1-character tall (and in a terminal, 
maybe invisible until you move point to it), but I'm still not convinced 
personally. And I see no others voting on this feature.

One alternative which I have already mentioned is to make a different 
command handle this. E.g. 'C-u d' might diff workfile and the revision 
at point. This actually seems faster that go to bob and create the 
necessary region.